package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrTorchvoc;

/**
 * 火炬，VOC系统Service接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface ITPssrTorchvocService 
{
    /**
     * 查询火炬，VOC系统
     * 
     * @param id 火炬，VOC系统ID
     * @return 火炬，VOC系统
     */
    public TPssrTorchvoc selectTPssrTorchvocById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询火炬，VOC系统列表
     * 
     * @param tPssrTorchvoc 火炬，VOC系统
     * @return 火炬，VOC系统集合
     */
    public List<TPssrTorchvoc> selectTPssrTorchvocList(TPssrTorchvoc tPssrTorchvoc);

    /**
     * 新增火炬，VOC系统
     * 
     * @param tPssrTorchvoc 火炬，VOC系统
     * @return 结果
     */
    public int insertTPssrTorchvoc(TPssrTorchvoc tPssrTorchvoc);

    /**
     * 修改火炬，VOC系统
     * 
     * @param tPssrTorchvoc 火炬，VOC系统
     * @return 结果
     */
    public int updateTPssrTorchvoc(TPssrTorchvoc tPssrTorchvoc);

    /**
     * 批量删除火炬，VOC系统
     * 
     * @param ids 需要删除的火炬，VOC系统ID
     * @return 结果
     */
    public int deleteTPssrTorchvocByIds(Long[] ids);

    /**
     * 删除火炬，VOC系统信息
     * 
     * @param id 火炬，VOC系统ID
     * @return 结果
     */
    public int deleteTPssrTorchvocById(Long id);
}
